unit CreateDataPipeline;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ppPrnabl, ppClass, ppCtrls, ppBands, ppCache,
  ppEndUsr, ppComm, ppRelatv, ppProd, ppReport, DB, DBTables, ppDBPipe;

type
  TForm1 = class(TForm)
    ppReport1: TppReport;
    ppHeaderBand1: TppHeaderBand;
    ppDetailBand1: TppDetailBand;
    ppFooterBand1: TppFooterBand;
    ppLabel1: TppLabel;
    Button1: TButton;
    DataSource1: TDataSource;
    Table1: TTable;
    procedure Button1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FDataPipeline: TppDBPipeline;

    procedure CreateDataPipeline;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  ppTypes;

procedure TForm1.Button1Click(Sender: TObject);
begin
  CreateDataPipeline;

  pPReport1.DataPipeline := FDataPipeline;

  ppReport1.Print;
end;

procedure TForm1.CreateDataPipeline;
begin

  FDataPipeline := TppDBPipeline.Create(Self);
  FDataPipeline.RangeBegin := rbFirstRecord;
  FDataPipeline.RangeEnd := reLastRecord;
  FDataPipeline.RangeEndCount := 0;
  FDataPipeline.SkipWhenNoRecords := True;
  FDataPipeline.DataSource := DataSource1;
  FDataPipeline.Name := 'plCustomers';
  FDataPipeline.UserName := 'Customers';


end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FDataPipeline.Free;
end;

end.
